## sox_ng-14.7.0.9.tar.lz

=== test/Makefile ===
# Makefile.in generated by automake 1.17 from Makefile.am.
# test/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2024 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
am__rm_f = rm -f $(am__rm_f_notfound)
am__rm_rf = rm -rf $(am__rm_f_notfound)
pkgdatadir = $(datadir)/sox_ng
pkgincludedir = $(includedir)/sox_ng
pkglibdir = $(libdir)/sox_ng
pkglibexecdir = $(libexecdir)/sox_ng
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = x86_64-pc-linux-gnu
subdir = test
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/optional-fmt.m4 $(top_srcdir)/m4/sndfile.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/soxconfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/home/martin/14.7.X/missing' aclocal-1.17
ALSA_CFLAGS = 
ALSA_LIBS =  -lasound
AMRNB_CFLAGS = 
AMRNB_LIBS =  -lopencore-amrnb
AMRWB_CFLAGS = 
AMRWB_LIBS =  -lopencore-amrwb
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AO_CFLAGS = 
AO_LIBS =  -lao
APP_LDFLAGS = 
AR = ar
AS = as
AUTOCONF = ${SHELL} '/home/martin/14.7.X/missing' autoconf
AUTOHEADER = ${SHELL} '/home/martin/14.7.X/missing' autoheader
AUTOMAKE = ${SHELL} '/home/martin/14.7.X/missing' automake-1.17
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -W -Wstrict-prototypes -pedantic -fstack-protector-strong -fopenmp -I/usr/local/include/opus -I/usr/include/opus
COREAUDIO_CFLAGS = 
COREAUDIO_LIBS = 
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISTRO = not specified!
DLLTOOL = false
DOLBYB_LIBS = 
DSYMUTIL = 
DUMPBIN = 
EBUR128_LIBS = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ETAGS = etags
EXEEXT = 
FFTW_LIBS =  -lfftw3
FGREP = /bin/grep -F
FILECMD = file
FLAC_CFLAGS = 
FLAC_LIBS = -lFLAC  -lvorbisenc -lvorbisfile -lvorbis  -logg
GOMP_LIBS = 
GREP = /bin/grep
GSM_CFLAGS = 
GSM_LIBS =  -lgsm
ID3_LIBS = -lid3tag -lz
INSTALL = /bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LADSPA_PATH = ${exec_prefix}/lib/ladspa
LD = /bin/ld -m elf_x86_64
LDFLAGS =  -Wl,-z,defs
LIBDOLBYB_LIBADD = ../libdolbyb/libdolbyb.la
LIBEBUR128_LIBADD = ../libebur128/libebur128.la
LIBGSM_LIBADD = 
LIBLPC10_LIBADD = ../lpc10/liblpc10.la
LIBLTDL =  -lltdl
LIBOBJS = 
LIBS = -lmp3lame -lm 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOLFLAGS = --silent
LIBTOOL_DEPS = .//ltmain.sh
LIPO = 
LN_S = ln -s
LPC10_CFLAGS = 
LPC10_LIBS = 
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAGIC_LIBS = -lmagic
MAKEINFO = ${SHELL} '/home/martin/14.7.X/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
MP3_CFLAGS = 
MP3_LIBS =  -lmad -lmp3lame -ltwolame
NM = /bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OGG_VORBIS_CFLAGS = 
OGG_VORBIS_LIBS = -lvorbisenc -lvorbisfile -lvorbis  -logg
OPENMP_CFLAGS = -fopenmp
OPUS_CFLAGS = 
OPUS_LIBS =  -lopus -lopusfile
OSS_CFLAGS = 
OSS_LIBS = 
OTOOL = 
OTOOL64 = 
PACKAGE = sox_ng
PACKAGE_BUGREPORT = sox-ng@groups.io
PACKAGE_NAME = sox_ng
PACKAGE_STRING = sox_ng 14.7.0.9
PACKAGE_TARNAME = sox_ng
PACKAGE_URL = 
PACKAGE_VERSION = 14.7.0.9
PATH_SEPARATOR = :
PKG_CONFIG = /bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PLAYRECLINKS = yes
PNG_LIBS =  -lpng -lz
PULSEAUDIO_CFLAGS = 
PULSEAUDIO_LIBS =  -lpulse -lpulse-simple
RANLIB = ranlib
REPLACE = 
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
SHLIB_VERSION = 3:0:0
SNDFILE_CFLAGS = -I/usr/include/opus -I/usr/include/x86_64-linux-gnu 
SNDFILE_LIBS = -lsndfile 
SNDIO_CFLAGS = 
SNDIO_LIBS =  -lsndio
SPEEXDSP_LIBS =  -lspeexdsp
STRIP = strip
SUN_AUDIO_CFLAGS = 
SUN_AUDIO_LIBS = 
SYMLINKS = yes
VERSION = 14.7.0.9
WARN_CFLAGS = 
WAVEAUDIO_CFLAGS = 
WAVEAUDIO_LIBS = 
WAVPACK_CFLAGS = 
WAVPACK_LIBS =  -lwavpack
abs_builddir = /home/martin/14.7.X/test
abs_srcdir = /home/martin/14.7.X/test
abs_top_builddir = /home/martin/14.7.X
abs_top_srcdir = /home/martin/14.7.X
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__rm_f_notfound = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
am__xargs_n = xargs -n
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/martin/14.7.X/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgconfigdir = $(libdir)/pkgconfig
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-pc-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = samples.c
CLEANFILES = samples$(EXEEXT) samples.o
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign test/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign test/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) \
	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
	  dist-hook
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \

=== debian/control ===
Source: sox-ng
Homepage: https://codeberg.org/sox_ng/sox_ng
Section: sound
Priority: optional
Maintainer: Martin Guy <martinwguy@gmail.com>
Build-Depends: debhelper (>= 9.20160402),
               ladspa-sdk,
               libao-dev,
               libasound2-dev [linux-any],
	       libfftw3-dev,
	       libflac-dev,
               libgsm1-dev,
               libid3tag0-dev,
               libltdl3-dev,
               libmad0-dev,
               libmagic-dev,
               libmp3lame-dev,
               libopencore-amrnb-dev,
               libopencore-amrwb-dev,
               libpng-dev,
               libpulse-dev,
               libsndfile1-dev (>= 1.0.12),
               libspeex-dev,
               libspeexdsp-dev,
               libtwolame-dev,
               libvorbis-dev,
               libwavpack-dev
Standards-Version: 3.9.3
Vcs-Git: git://codeberg.org/sox_ng/sox_ng

Package: sox-ng
Architecture: any
Section: sound
Depends: libsox-ng3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Swiss army knife of sound processing
 SoX is a command line utility that can convert various formats of computer
 audio files in to other formats. It can also apply various effects to these
 sound files during the conversion. As an added bonus, SoX can play and record
 audio files on several unix-style platforms.
 .
 SoX is able to handle formats like Ogg Vorbis, MP3, WAV, AIFF, VOC, SND, AU,
 GSM and several more.
 Any format support requires at least libsox-ng-fmt-base. Some formats have their
 own package e.g. mp3 read and write support is provided by libsox-ng-fmt-mp3.
 .
 SoX supports most common sound architectures i.e. Alsa, Libao, OSS and Pulse
 (respectively provided by libsox-ng-fmt-alsa, libsox-ng-fmt-ao, libsox-ng-fmt-oss and
 libsox-ng-fmt-pulse). It also supports LADSPA plugins.

Package: libsox-ng3
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libsox-ng-fmt-base
Suggests: libsox-ng-fmt-all
Description: SoX library of audio effects and processing
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX library which enables to convert various formats
 of computer audio files in to other formats. It also allows you to apply
 various effects to sound files.
 .
 Any format support requires at least libsox-ng-fmt-base.
 Sound card I/O requires libsox-ng-fmt-alsa, libsox-ng-fmt-ao, libsox-ng-fmt-oss or
 libsox-ng-fmt-pulse.

Package: libsox-ng-fmt-base
Architecture: any
Multi-Arch: same
Section: libs
Depends:    libsox-ng-fmt-alsa,
            ${misc:Depends}, ${shlibs:Depends}
Recommends: 
            libsox-ng-fmt-amr-nb,
            libsox-ng-fmt-amr-wb,
            libsox-ng-fmt-flac,
            libsox-ng-fmt-gsm,
            libsox-ng-fmt-lpc10,
            libsox-ng-fmt-mp3,
            libsox-ng-fmt-opus,
            libsox-ng-fmt-sndfile,
            libsox-ng-fmt-vorbis,
            libsox-ng-fmt-wavpack
Description: Minimal set of SoX format libraries
 SoX is the swiss army knife of sound processing.
 .
 This package contains most audio formats libraries supported by SoX.
 Among them: Ogg Vorbis, WAV, AIFF, VOC, SND, AU, GSM, WavPack, LPC10, FLAC,
 MATLAB/GNU Octave, Portable Voice Format, AMR and Sound Forge Audio Format.

Package: libsox-ng-fmt-amr-nb
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX AMR-NB format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the Opencore AMR Narrow Band format I/O library.
 .
 libopencore-amr: http://sourceforge.net/projects/opencore-amr

Package: libsox-ng-fmt-amr-wb
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX AMR-WB format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the Opencore AMR Wide Band format I/O library.
 .
 libopencore-amr: http://sourceforge.net/projects/opencore-amr

Package: libsox-ng-fmt-alsa
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX alsa format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX alsa audio I/O library.
 .
 alsa: http://www.alsa-project.org

Package: libsox-ng-fmt-ao
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX Libao format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX Libao audio I/O library.
 .
 libao: http://xiph.org/ao

Package: libsox-ng-fmt-flac
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX FLAC format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX FLAC format I/O library.
 .
 FLAC: http://xiph.org/flac

Package: libsox-ng-fmt-gsm
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX GSM format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the GSM format I/O library.
 .
 libgsm: http://www.quut.com/gsm

Package: libsox-ng-fmt-lpc10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX LPC10 format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the Linear Predictive Codec format I/O library.
 .
 libgsm: https://github.com/jafingerhut/lpc10

Package: libsox-ng-fmt-mp3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX MP1, MP2 and MP3 format library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX MP1, MP2 and MP3 format library.
 Read support by libmad. MP2 and MP3 write support by libtwolame and
 libmp3lame respectively.
 .
 mad: http://www.underbit.com/products/mad/
 lame: http://lame.sourceforge.io/
 twolame: http://www.twolame.org

Package: libsox-ng-fmt-opus
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX Opus format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the Opus format I/O library.
 .
 libgsm: https://www.opus-codec.org

Package: libsox-ng-fmt-oss
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX OSS format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX Open Sound System (OSS)
 audio I/O library.
 .
 Open Sound System: http://www.opensound.com/oss.html

Package: libsox-ng-fmt-pulse
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX PulseAudio format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX PulseAudio audio I/O library.
 .
 PulseAudio: http://www.pulseaudio.org/

Package: libsox-ng-fmt-sndfile
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX libsndfile format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX Sndfile format I/O library.
 .
 PulseAudio: https://libsndfile.github.io/libsndfile

Package: libsox-ng-fmt-vorbis
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX Ogg Vorbis format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX Ogg Vorbis format I/O library.
 .
 libao: http://xiph.org/flac

Package: libsox-ng-fmt-wavpack
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SoX Ogg Wavpack format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX Wavpack format I/O library.
 .
 wavpack: http://www.wavpack.com

Package: libsox-ng-fmt-all
Architecture: any
Multi-Arch: same
Section: libs
Depends: libsox-ng-fmt-alsa (= ${binary:Version}),
         libsox-ng-fmt-amr-nb (= ${binary:Version}),
         libsox-ng-fmt-amr-wb (= ${binary:Version}),
         libsox-ng-fmt-ao (= ${binary:Version}),
         libsox-ng-fmt-base (= ${binary:Version}),
         libsox-ng-fmt-flac (= ${binary:Version}),
         libsox-ng-fmt-gsm (= ${binary:Version}),
         libsox-ng-fmt-lpc10 (= ${binary:Version}),
         libsox-ng-fmt-mp3 (= ${binary:Version}),
         libsox-ng-fmt-opus (= ${binary:Version}),
         libsox-ng-fmt-oss (= ${binary:Version}),
         libsox-ng-fmt-pulse (= ${binary:Version}),
         libsox-ng-fmt-sndfile (= ${binary:Version}),
         libsox-ng-fmt-vorbis (= ${binary:Version}),
         libsox-ng-fmt-wavpack (= ${binary:Version})
Description: All SoX format libraries
 SoX is the swiss army knife of sound processing.
 .
 This is a metapackage depending on all free SoX format libraries.

Package: libsox-ng-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libsox-ng-fmt-all (= ${binary:Version}),
         libsox-ng3 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for the SoX library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the development files for the SoX library.

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/ \
http://qa.debian.org/watch/sf.php/sox_ng/sox_ng-(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 01 Dec 2012 11:43:49 +0000
